Skip to main content

Update MLE Configuration for Target

PATCH 

/targets/:id/mle/

Allows updating MLE metadata (enabled, key_id, scope) for a target. Keys cannot be updated via PATCH - use PUT to replace entire configuration.

Request

Path Parameters

    id stringrequired

Body

    enabled boolean

    Enable or disable MLE for the target.

    key_id string

    Update the Key ID for MLE configuration.

    scope uri[]

    Update the list of URLs where MLE is applied.
    Each URL must include the scheme and hostname
    (e.g., ["https://api.example.com/v1/payments"]).

Responses

Schema

    configured booleanrequired

    Indicates if MLE is configured for the target.

    enabled booleanrequired

    Indicates if MLE is currently enabled for the target.

    key_id stringnullablerequired

    The Key ID for MLE configuration.

    scope string[]nullablerequired

    List of URLs where MLE is applied.

Loading...